<?php
namespace Claromentis\Setup\Db\Migrations;

$GLOBALS["__65da1b1" . "ec2d6653e" . "8a0ab7848" . "e536215"] = (@$GLOBALS["__65da1b1ec2d66" . "53e8a0ab7848e53" . "6215"] ?: array()) + array("_bc2b2cbee209b1cad0873" . "479a8fd921a" => base64_decode("L3NjaGVtYS9z" . "Y2hlbWEucGhw"), "_edc5e56d0d74937af" . "4aa39a12b4e62f4" => base64_decode("MDAuMDA" . "="), "_afa8b786a0" . "282957bc5e6" . "c82eb5eeaba" => base64_decode("U2NoZW1hIGZpbGUgZG9lc24ndCBleGlzd" . "CBvciBub3QgcmVhZGFibGUsIHNraXBwaW" . "5nIHNjaGVtYSBjcmVhdGlvbg=="), "_98587fc188f350370f03d54707c587e" . "1" => base64_decode("aXNfcmV" . "hZGFibG" . "U="), "_98080012c02491a0c0cf9af" . "5c977f3c7" => base64_decode("U2NoZW1hIGZpb" . "GU6IA=="), "_4e804c3c6" . "59ffa92709" . "4580817423" . "76b" => base64_decode("Q3JlYXRpbmcgc2NoZW1" . "h"), "_09fd03941a048e1f2" . "8e823189007cddf" => base64_decode("U2NoZW1hIHN1Y2Nlc3NmdWxseSBjcmVhd" . "GVkLiBDdXJyZW50IHZlcnNpb24gaXMgJw" . "=="), "_3c4298ad118f03549387eda8af8597" . "50" => base64_decode("QXBwbGljYXRpb24gYWxyZWFkeSBp" . "bnN0YWxsZWQ="), "_c1bf7b7ebd1ab8431a8561d762d" . "b1895" => base64_decode("QXBwbGljYXRpb24gaXM" . "gbm90IGluc3RhbGxlZC" . "4gQ2Fubm90IHVwZGF0Z" . "Q=="), "_0a441bddac7beba" . "d7a9858a0dfadcd9" . "0" => base64_decode("MDE" . "uMD" . "E="), "_e608e5b5c4c34a67ba" . "97ef84c1e16199" => base64_decode("Jw=" . "="));
use Claromentis\Setup\Exception\AlreadyInstalledException;
use Claromentis\Setup\Exception\NotInstalledException;




class Schema extends MigrationsBase
{
    
    
    
    
    
    
    
    
    public function Install()
    {
        if ($this->IsSchemaCreated()) {
            throw new AlreadyInstalledException($GLOBALS["__65da1b1ec" . "2d6653e8a0a" . "b7848e53621" . "5"]["_3c4298ad118f03549387eda8af859" . "750"]);
        }
        $this->CreateSchema();
    }
    
    
    
    
    
    
    
    
    public function Update()
    {
        if (!$this->IsSchemaCreated()) {
            throw new NotInstalledException($GLOBALS["__65da1b1ec2d6653e8a0ab7848" . "e536215"]["_c1bf7b7" . "ebd1ab84" . "31a8561d" . "762db189" . "5"]);
        }
    }
    
    
    
    
    public function Up()
    {
        if (!$this->IsSchemaCreated()) {
            $this->CreateSchema();
        }
    }
    
    
    
    
    
    
    protected function IsSchemaCreated()
    {
        return $this->persistence->GetVersion() !== null;
    }
    
    
    
    
    protected function CreateSchema()
    {
        $_3d94334dda6f8e448f15c2285d522e72 = $this->init_path . $GLOBALS["__65da1b1ec2d66" . "53e8a0ab7848e53" . "6215"]["_bc2b2cbee209b1cad0873479a8f" . "d921a"];
        if ($GLOBALS["__65da1b1ec2d6653e8a0ab7848e5362" . "15"]["_98587fc188" . "f350370f03d" . "54707c587e1"]($_3d94334dda6f8e448f15c2285d522e72)) {
            $this->logger->info($GLOBALS["__65da1b1ec2d6653e8a0ab" . "7848e536215"]["_98080012c02" . "491a0c0cf9af" . "5c977f3c7"] . $_3d94334dda6f8e448f15c2285d522e72);
            $this->logger->notice($GLOBALS["__65da1b1ec2d665" . "3e8a0ab7848e5362" . "15"]["_4e804c3c6" . "59ffa92709" . "4580817423" . "76b"]);
            extract($this->environment, EXTR_REFS | EXTR_OVERWRITE);
            include $_3d94334dda6f8e448f15c2285d522e72;
            if (!$this->persistence->GetVersion()) {
                $this->persistence->SetVersion($GLOBALS["__65da1b1ec2d66" . "53e8a0ab7848e53" . "6215"]["_0a441bddac7bebad7a985" . "8a0dfadcd90"]);
            }
            $this->logger->notice($GLOBALS["__65da1b1e" . "c2d6653e8a" . "0ab7848e53" . "6215"]["_09fd03941a048e" . "1f28e823189007c" . "ddf"] . $this->persistence->GetVersion() . $GLOBALS["__65da1b1ec2d6653e8a0ab7848e53621" . "5"]["_e608e5b5c4c34a6" . "7ba97ef84c1e1619" . "9"]);
        } else {
            $this->logger->warning($GLOBALS["__65da1b1e" . "c2d6653e8a" . "0ab7848e53" . "6215"]["_afa8b786a0282957bc5e6c82eb5e" . "eaba"]);
            $this->persistence->SetVersion($GLOBALS["__65da1b1ec2d6653e8a0ab7848e53621" . "5"]["_edc5e56d0d74937af4aa39a" . "12b4e62f4"]);
        }
    }
}